package com.ningdatech.pmapi.meeting.entity.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * ExpertInviteRule
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-26
 */
@Data
@TableName("meeting_expert_invite_rule")
@ApiModel(value = "ExpertInviteRule对象")
public class ExpertInviteRule implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    private Long meetingId;

    @ApiModelProperty("抽取规则")
    private String inviteRule;

    @ApiModelProperty("创建人ID")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("修改人ID")
    private Long updateBy;

    @ApiModelProperty("抽取类型：1 自定义规则、2 指定邀请")
    private Integer inviteType;

    @ApiModelProperty("抽取数量")
    private Integer inviteCount;

}
