package com.ningdatech.pmapi.meeting.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * <p>
 * ExpertInviteDetailVo
 * </p>
 *
 * @author WendyYang
 * @since 08:58 2022/8/9
 */
@Data
@ApiModel("专家邀请情况实体")
public class ExpertInviteDetailVO {

    @Data
    @EqualsAndHashCode(callSuper = true)
    @ApiModel("最终参与名单实体")
    public static class ExpertAttendListItemVO extends ExpertBasicInfoVO {

        private Long meetingId;

        private Long expertMeetingId;

        @ApiModelProperty("邀请方式")
        private String inviteType;

    }

    @Data
    @EqualsAndHashCode(callSuper = true)
    @ApiModel("随机邀请名单实体")
    public static class RandomInviteListItemVO extends ExpertBasicInfoVO {

        @ApiModelProperty("会议ID")
        private Long meetingId;

        @ApiModelProperty("专家会议ID")
        private Long expertMeetingId;

        @ApiModelProperty("电话通知状态")
        private String noticeStatus;

        @ApiModelProperty("邀请结果")
        private String confirmResult;

        @ApiModelProperty("邀请状态")
        private Integer status;

    }

    @ApiModelProperty("参与数量总计")
    private Integer attendTotal;

    @ApiModelProperty("随机邀请参与数量")
    private Integer randomAttend;

    @ApiModelProperty("指定邀请参与数量")
    private Integer appointAttend;

    @ApiModelProperty("是否已停止邀请")
    private Boolean invitedStopped;

    @ApiModelProperty("最终参与名单")
    private List<ExpertAttendListItemVO> attendList;

    @ApiModelProperty("随机邀请名单")
    private List<RandomInviteListItemVO> randomInviteList;

    @ApiModelProperty("指定邀请名单")
    private List<RandomInviteListItemVO> appointInviteList;

    public void addAttendList(ExpertAttendListItemVO attend) {
        this.attendList.add(attend);
    }

    public void addRandomInviteList(RandomInviteListItemVO randomInvite) {
        this.randomInviteList.add(randomInvite);
    }

    public void addAppointInviteList(RandomInviteListItemVO appointInvite) {
        this.appointInviteList.add(appointInvite);
    }

}
