package com.ningdatech.pmapi.projectlib.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ningdatech.pmapi.projectlib.enumeration.StepStatusEnum;
import com.wflow.workflow.bean.vo.ProcessProgressVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 流程进度详情VO
 *
 * @author CMM
 * @since 2023/02/24 11:25
 */
@ApiModel(value = "ProcessDetailVO", description = "流程进度详情VO")
@Data
public class ProcessDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("环节状态")
    private StepStatusEnum stepStatus;

    @ApiModelProperty("流程名称")
    private String processName;

    @ApiModelProperty("完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime finishTime;

    @ApiModelProperty("流程处理进度详情")
    private ProcessProgressVo processProgressVo;


}
